package com.fs.store.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;

/**
 * 订单详情对象 fs_store_order_item
 * 
 * @author fs
 * @date 2022-03-21
 */
public class FsStoreOrderItem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long itemId;

    /** 订单id */
    @Excel(name = "订单id")
    private Long orderId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderCode;

    /** 购物车id 减数量用 */
    @Excel(name = "购物车id 减数量用")
    private Long cartId;

    /** 商品ID */
    @Excel(name = "商品ID")
    private Long productId;

    @Excel(name = "商品ID")
    private String jsonInfo;

    @Excel(name = "商品ID")
    private Integer num;

    /** 是否能售后0不能1能 */
    @Excel(name = "是否能售后0不能1能")
    private Integer isAfterSales;

    private Integer isPrescribe;

    public Integer getIsPrescribe() {
        return isPrescribe;
    }

    public void setIsPrescribe(Integer isPrescribe) {
        this.isPrescribe = isPrescribe;
    }

    public void setItemId(Long itemId)
    {
        this.itemId = itemId;
    }

    public Long getItemId() 
    {
        return itemId;
    }
    public void setOrderId(Long orderId) 
    {
        this.orderId = orderId;
    }

    public Long getOrderId() 
    {
        return orderId;
    }
    public void setOrderCode(String orderCode) 
    {
        this.orderCode = orderCode;
    }

    public String getOrderCode() 
    {
        return orderCode;
    }
    public void setCartId(Long cartId) 
    {
        this.cartId = cartId;
    }

    public Long getCartId() 
    {
        return cartId;
    }
    public void setProductId(Long productId) 
    {
        this.productId = productId;
    }

    public Long getProductId() 
    {
        return productId;
    }

    public void setJsonInfo(String jsonInfo) 
    {
        this.jsonInfo = jsonInfo;
    }

    public String getJsonInfo() 
    {
        return jsonInfo;
    }
    public void setNum(Integer num)
    {
        this.num = num;
    }

    public Integer getNum()
    {
        return num;
    }
    public void setIsAfterSales(Integer isAfterSales) 
    {
        this.isAfterSales = isAfterSales;
    }

    public Integer getIsAfterSales() 
    {
        return isAfterSales;
    }


}
